plugins {
    id("com.android.application")
    id("kotlin-android")
    id("dev.flutter.flutter-gradle-plugin")
    // اضافه کردن پلاگین گوگل سرویسز برای فایربیس
    id("com.google.gms.google-services")
}

android {
    namespace = "com.example.lba"
    compileSdk = flutter.compileSdkVersion
    ndkVersion = flutter.ndkVersion

    compileOptions {
        // استفاده از جاوا ۸ برای سازگاری بهتر
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }

    kotlinOptions {
        jvmTarget = "1.8"
    }

    defaultConfig {
        applicationId = "com.example.lba"
        minSdk = 24
        targetSdk = flutter.targetSdkVersion
        versionCode = flutter.versionCode
        versionName = flutter.versionName
    }

    buildTypes {
        getByName("release") {
            // برای نسخه نهایی (release) بهتر است از کلید امضای خودتان استفاده کنید.
            // signingConfig = signingConfigs.getByName("release")
            signingConfig = signingConfigs.getByName("debug") // موقتا برای تست

            // فعال‌سازی کوچک‌سازی و بهینه‌سازی کد با سینتکس کاتلین
            isMinifyEnabled = true
            isShrinkResources = true

            // افزودن فایل قوانین ProGuard برای جلوگیری از حذف کلاس‌های ضروری
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }
}

flutter {
    source = "../.."
}

dependencies {
    // اضافه کردن Firebase Bill of Materials (BoM)
    implementation(platform("com.google.firebase:firebase-bom:33.1.0"))

    // کتابخانه‌های مورد نیاز برای آنالیتیکس و احراز هویت
    implementation("com.google.firebase:firebase-analytics")
    implementation("com.google.firebase:firebase-auth")

    // کتابخانه مورد نیاز برای پکیج google_sign_in
    implementation("com.google.android.gms:play-services-auth:21.2.0")
}